<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Grille nommé</title>
    <style>
        /* Layout */

        .container {
            display: grid;
            height: 80vh;
            grid-template-areas: "h h"
                       "n c"
                       "f f";
            /*
              grid-template-areas: "head head"
                       "nav  aside"
                       "foot  foot";
           */
        }
        header {
            grid-area: h;
        }
        nav {
            grid-area: n;
        }
        aside {
            grid-area: c;
        }
        footer {
            grid-area: f;
        }


        /* Decoration */

        body {
            margin: 20px;
            background: #fff;
            font-family: "Century Gothic", helvetica, arial, sans-serif;
            font-size: 1.2em;
        }
        .container {
            border: 3px dotted orange;
            margin-bottom: 2em;
        }
        div, nav, section, article, aside, header, footer {
            padding: 1em;
            color: #fff;
        }

        header {
            background: hotpink;
        }
        aside {
            background: slategrey;
        }
        nav {
            background: orange;
        }
        .footer {
            background: olivedrab;
        }
        header {
            background: gray;
        }
        footer {
            background: crimson;
        }

        h1 {
            margin: 0 0 1em;
            color: #345;
            text-align: center;
            font-family: georgia, "trebuchet ms", arial, serif;
        }
    </style>
</head>
<body>
    <div class="container">
        <header>header</header>
        <aside>aside</aside>
        <nav>nav</nav>
        <footer>footer</footer>
    </div>
</body>
</html>